import { ipcMain } from 'electron';
import WebContents = Electron.WebContents;

ipcMain.on(
  IpcChannels.Credentials,
  (
    event: {
      frameId: number;
      preventDefault: () => void;
      reply: (channel: string, ...args: any) => void;
      sender: WebContents;
    },
    ...args: any
  ) => {
    event.reply(IpcChannels.Pong, args);
  }
);
