import 'reflect-metadata';
import { Connection, createConnection } from 'typeorm';

let connection: Connection;

function init() {
  initConnection();
}

function initConnection(): void {
  // createConnection method will automatically read connection options
  // from your ormconfig file or environment variables
  createConnection('library')
    .then(c => {
      connection = c;
    })
    .catch(reason => {
      throw reason;
    });
}

init();
